Explore our Marketplace to buy and sell APIs, services, and social media solutions. Connect with a vibrant community of developers, businesses, and creators!
url 字段,可能会发现无法正确打开视频页面,这是因为微信对视频号页面做了防盗链处理。url 字段和 url_token 字段拼接成一个完整的 URL,然后在浏览器中打开。(注明:可以打开的意思是HTTP响应代码200,不代表视频能正常播放,因为视频文件是加密的)decode_key 字段和加密视频文件,通过下面的工具进行解密。decode_key 字段和加密视频文件,通过此工具进行解密:https://evil0ctal.github.io/WeChat-Channels-Video-File-Decryption/decode_key,即使是同一个视频。请确保使用的 decode_key 与下载的加密视频文件是同一次 API 响应中获取的,否则解密将会失败。$.data.object_list[*]$.data.object_list[*].object_desc.media[0].url$.data.object_list[*].object_desc.media[0].url_token$.data.object_list[*].object_desc.media[0].url + $.data.object_list[*].object_desc.media[0].url_token$.data.object_list[*].object_desc.media[0].decode_keyurl field in the response, you may find that the video page cannot be opened correctly. This is because WeChat has implemented anti-hotlinking protection for video pages.url field and the url_token field into a complete URL, and then open it in a browser. (Note: "can be opened" means HTTP response code 200, does not mean the video can be played normally, as the video file is encrypted)decode_key field returned by the API along with the encrypted video file, and decrypt it using the tool below.decode_key field returned by the API along with the encrypted video file, and decrypt it using this tool: https://evil0ctal.github.io/WeChat-Channels-Video-File-Decryption/decode_key with each request, even for the same video. Please ensure that the decode_key used matches the encrypted video file obtained from the same API response, otherwise decryption will fail.$.data.object_list[*]$.data.object_list[*].object_desc.media[0].url$.data.object_list[*].object_desc.media[0].url_token$.data.object_list[*].object_desc.media[0].url + $.data.object_list[*].object_desc.media[0].url_token$.data.object_list[*].object_desc.media[0].decode_keyAuthorization: Bearer ********************curl --location --request GET 'https://api.tikhub.io/api/v1/wechat_channels/fetch_search_latest?keywords=美食' \
--header 'Authorization: Bearer <token>'{
"code": 200,
"request_id": "string",
"message": "Request successful. This request will incur a charge.",
"message_zh": "请求成功,本次请求将被计费。",
"support": "Discord: https://discord.gg/aMEAS8Xsvz",
"time": "string",
"time_stamp": 0,
"time_zone": "America/Los_Angeles",
"docs": "string",
"cache_message": "string",
"cache_message_zh": "string",
"cache_url": "string",
"router": "",
"params": {},
"data": null
}